Mojolicious 8.01 Pass

Tested by Serguei Trouchelle (STRO), 8. Oct, 05:59,

  1. Program output
  2. Tester comments
  3. Prerequisites
  4. Environment and other context
  5. More reports...

This distribution has been tested as part of the CPAN Testers project, supporting the Perl programming language. See http://wiki.cpantesters.org/ for more information or email questions to cpan-testers-discuss@perl.org

-- Dear Sebastian Riedel,

This is a computer-generated report for Mojolicious-8.01 on perl 5.14.4, created by CPAN-Reporter-1.2018.

Thank you for uploading your work to CPAN. Congratulations! All tests were successful

Program output

Output from '/usr/bin/make test':

PERL_DL_NONLAZY=1 "/home/stro/perl/5.14.4/bin/perl" "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" t/*.t t/*/*.t
t/mojo/asset.t ............................. ok
t/mojo/base.t .............................. ok
t/mojo/bytestream.t ........................ ok
t/mojo/cache.t ............................. ok
t/mojo/cgi.t ............................... ok
t/mojo/collection.t ........................ ok
t/mojo/content.t ........................... ok
t/mojo/cookie.t ............................ ok
t/mojo/cookiejar.t ......................... ok
t/mojo/daemon.t ............................ ok
t/mojo/daemon_ipv6_tls.t ................... skipped: set TEST_IPV6 to enable this test (developer only!)
t/mojo/date.t .............................. ok
t/mojo/delay.t ............................. ok
t/mojo/dom.t ............................... ok
t/mojo/eventemitter.t ...................... ok
t/mojo/exception.t ......................... ok
t/mojo/file.t .............................. ok
t/mojo/headers.t ........................... ok
t/mojo/home.t .............................. ok
t/mojo/hypnotoad.t ......................... skipped: set TEST_HYPNOTOAD to enable this test (developer only!)
t/mojo/ioloop.t ............................ ok
t/mojo/ioloop_ipv6.t ....................... skipped: set TEST_IPV6 to enable this test (developer only!)
t/mojo/ioloop_tls.t ........................ skipped: set TEST_TLS to enable this test (developer only!)
t/mojo/json.t .............................. ok
t/mojo/json_pointer.t ...................... ok
t/mojo/json_xs.t ........................... skipped: Cpanel::JSON::XS 4.04+ required for this test!
t/mojo/loader.t ............................ ok
t/mojo/log.t ............................... ok
t/mojo/morbo.t ............................. skipped: set TEST_MORBO to enable this test (developer only!)
t/mojo/parameters.t ........................ ok
t/mojo/path.t .............................. ok
t/mojo/prefork.t ........................... skipped: set TEST_PREFORK to enable this test (developer only!)
t/mojo/promise.t ........................... ok
t/mojo/proxy.t ............................. ok
t/mojo/psgi.t .............................. ok
t/mojo/reactor_detect.t .................... ok
t/mojo/reactor_ev.t ........................ skipped: set TEST_EV to enable this test (developer only!)
t/mojo/reactor_poll.t ...................... ok
t/mojo/request.t ........................... ok
t/mojo/request_cgi.t ....................... ok
t/mojo/response.t .......................... ok
t/mojo/roles.t ............................. ok
t/mojo/signatures.t ........................ skipped: Perl 5.20+ required for this test!
t/mojo/subprocess.t ........................ skipped: set TEST_SUBPROCESS to enable this test (developer only!)
t/mojo/template.t .......................... ok
t/mojo/tls.t ............................... skipped: set TEST_TLS to enable this test (developer only!)
t/mojo/transactor.t ........................ ok
t/mojo/url.t ............................... ok
t/mojo/user_agent.t ........................ ok
t/mojo/user_agent_online.t ................. skipped: set TEST_ONLINE to enable this test (developer only!)
t/mojo/user_agent_socks.t .................. skipped: set TEST_SOCKS to enable this test (developer only!)
t/mojo/user_agent_tls.t .................... skipped: set TEST_TLS to enable this test (developer only!)
t/mojo/user_agent_unix.t ................... skipped: set TEST_UNIX to enable this test (developer only!)
t/mojo/util.t .............................. ok
t/mojo/websocket.t ......................... ok
t/mojo/websocket_frames.t .................. ok
t/mojo/websocket_proxy.t ................... ok
t/mojo/websocket_proxy_tls.t ............... skipped: set TEST_TLS to enable this test (developer only!)
t/mojolicious/app.t ........................ ok
t/mojolicious/charset_lite_app.t ........... ok
t/mojolicious/command.t .................... ok
t/mojolicious/commands.t ................... ok
t/mojolicious/dispatch.t ................... ok
t/mojolicious/dispatcher_lite_app.t ........ ok
t/mojolicious/embedded_app.t ............... ok
t/mojolicious/embedded_lite_app.t .......... ok
t/mojolicious/exception_lite_app.t ......... ok
t/mojolicious/external_app.t ............... ok
t/mojolicious/external_lite_app.t .......... ok
t/mojolicious/group_lite_app.t ............. ok
t/mojolicious/json_config_lite_app.t ....... ok
t/mojolicious/json_config_mode_lite_app.t .. ok
t/mojolicious/layouted_lite_app.t .......... ok
t/mojolicious/lite_app.t ................... ok
t/mojolicious/longpolling_lite_app.t ....... ok
t/mojolicious/multipath_lite_app.t ......... ok
t/mojolicious/ojo.t ........................ ok
t/mojolicious/ojo_signatures.t ............. skipped: Perl 5.20+ required for this test!
t/mojolicious/pattern.t .................... ok
t/mojolicious/pod_renderer_lite_app.t ...... ok
t/mojolicious/production_app.t ............. ok
t/mojolicious/rebased_lite_app.t ........... ok
t/mojolicious/renderer.t ................... ok
t/mojolicious/restful_lite_app.t ........... ok
t/mojolicious/routes.t ..................... ok
t/mojolicious/signatures_lite_app.t ........ skipped: Perl 5.20+ required for this test!
t/mojolicious/static_lite_app.t ............ ok
t/mojolicious/tag_helper_lite_app.t ........ ok
t/mojolicious/testing_app.t ................ ok
t/mojolicious/tls_lite_app.t ............... skipped: set TEST_TLS to enable this test (developer only!)
t/mojolicious/twinkle_lite_app.t ........... ok
t/mojolicious/types.t ...................... ok
t/mojolicious/upload_lite_app.t ............ ok
t/mojolicious/upload_stream_lite_app.t ..... ok
t/mojolicious/validation_lite_app.t ........ ok
t/mojolicious/websocket_lite_app.t ......... ok
t/pod.t .................................... skipped: set TEST_POD to enable this test (developer only!)
t/pod_coverage.t ........................... skipped: set TEST_POD to enable this test (developer only!)
All tests successful.
Files=98, Tests=11150, 61 wallclock secs ( 2.02 usr  0.22 sys + 40.61 cusr  2.88 csys = 45.73 CPU)
Result: PASS

Prerequisites

Requires

Build requires

Configure requires

Tester comments

this report is from an automated smoke testing program and was not reviewed by a human for accuracy

Environment and other context

Environment variables:

    AUTOMATED_TESTING = 1
    LANG = en_US.UTF-8
    PATH = /usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games
    PERL5LIB = 
    PERL5OPT = 
    PERL5_CPANPLUS_IS_RUNNING = 15528
    PERL5_CPAN_IS_RUNNING = 15528
    PERL5_CPAN_IS_RUNNING_IN_RECURSION = 13511,15528
    PERL_CR_SMOKER_CURRENT = Tapper-MCP-MessageReceiver-5.0.1
    PERL_EXTUTILS_AUTOINSTALL = --defaultdeps
    PERL_MM_USE_DEFAULT = 1
    SHELL = /bin/bash
    TERM = xterm

Perl special variables (and OS-specific diagnostics, for MSWin32):

    $^X = /home/stro/perl/5.14.4/bin/perl
    $UID/$EUID = 1000 / 1000
    $GID = 1000 24 25 29 30 44 46 108 114 1000
    $EGID = 1000 24 25 29 30 44 46 108 114 1000

Perl module toolchain versions installed:

    Module              Have    
    ------------------- --------
    CPAN                2.16    
    CPAN::Meta          2.150010
    Cwd                 3.62    
    ExtUtils::CBuilder  0.280226
    ExtUtils::Command   7.34    
    ExtUtils::Install   2.06    
    ExtUtils::MakeMaker 7.34    
    ExtUtils::Manifest  1.70    
    ExtUtils::ParseXS   3.35    
    File::Spec          3.62    
    JSON                2.97001 
    JSON::PP            2.97001 
    Module::Build       0.4224  
    Module::Signature   0.81    
    Parse::CPAN::Meta   2.150010
    Test::Harness       3.39    
    Test::More          1.302138
    YAML                1.23    
    YAML::Syck          1.30    
    version             0.9918  


--

Summary of my perl5 (revision 5 version 14 subversion 4) configuration:
   
  Platform:
    osname=linux, osvers=3.16.0-4-amd64, archname=x86_64-linux
    uname='linux vm-debian-001 3.16.0-4-amd64 #1 smp debian 3.16.7-ckt11-1 (2015-05-24) x86_64 gnulinux '
    config_args=''
    hint=recommended, useposix=true, d_sigaction=define
    useithreads=undef, usemultiplicity=undef
    useperlio=define, d_sfio=undef, uselargefiles=define, usesocks=undef
    use64bitint=define, use64bitall=define, uselongdouble=undef
    usemymalloc=n, bincompat5005=undef
  Compiler:
    cc='cc', ccflags ='-fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64',
    optimize='-O2',
    cppflags='-fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include'
    ccversion='', gccversion='4.9.2', gccosandvers=''
    intsize=4, longsize=8, ptrsize=8, doublesize=8, byteorder=12345678
    d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=16
    ivtype='long', ivsize=8, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=8
    alignbytes=8, prototype=define
  Linker and Libraries:
    ld='cc', ldflags =' -fstack-protector -L/usr/local/lib'
    libpth=/usr/local/lib /lib/x86_64-linux-gnu /lib/../lib /usr/lib/x86_64-linux-gnu /usr/lib/../lib /lib /usr/lib
    libs=-lnsl -ldl -lm -lcrypt -lutil -lc
    perllibs=-lnsl -ldl -lm -lcrypt -lutil -lc
    libc=, so=so, useshrplib=false, libperl=libperl.a
    gnulibc_version='2.19'
  Dynamic Linking:
    dlsrc=dl_dlopen.xs, dlext=so, d_dlsymun=undef, ccdlflags='-Wl,-E'
    cccdlflags='-fPIC', lddlflags='-shared -O2 -L/usr/local/lib -fstack-protector'


Characteristics of this binary (from libperl): 
  Compile-time options: PERL_DONT_CREATE_GVSV PERL_MALLOC_WRAP
                        PERL_PRESERVE_IVUV USE_64_BIT_ALL USE_64_BIT_INT
                        USE_LARGE_FILES USE_PERLIO USE_PERL_ATOF
  Built under linux
  Compiled at Sep 30 2017 20:32:40
  %ENV:
    PERL5LIB=""
    PERL5OPT=""
    PERL5_CPANPLUS_IS_RUNNING="15528"
    PERL5_CPAN_IS_RUNNING="15528"
    PERL5_CPAN_IS_RUNNING_IN_RECURSION="13511,15528"
    PERL_CR_SMOKER_CURRENT="Tapper-MCP-MessageReceiver-5.0.1"
    PERL_EXTUTILS_AUTOINSTALL="--defaultdeps"
    PERL_MM_USE_DEFAULT="1"
  @INC:
    /home/stro/perl/5.14.4/lib/site_perl/5.14.4/x86_64-linux
    /home/stro/perl/5.14.4/lib/site_perl/5.14.4
    /home/stro/perl/5.14.4/lib/5.14.4/x86_64-linux
    /home/stro/perl/5.14.4/lib/5.14.4